CGAL 6.1.2 - 3D Point Set: CGAL Namespace Reference

CGAL 6.1.2 - 3D Point Set

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
CGAL Namespace Reference

## Namespaces
namespace | draw_function_for_PointSet
namespace | IO

## Classes
class | Point_set_3
| A collection of points with dynamically associated properties. More...

## Functions
template<typename Point , typename Vector >
bool | read_las_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_las_point_set (std::ostream &os, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | read_off_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_off_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | read_ply_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set, std::string &comments)
template<typename Point , typename Vector >
bool | read_ply_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_ply_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set, const std::string &comments=std::string())
template<typename Point , typename Vector >
bool | read_xyz_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_xyz_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set)
template<class PS , class GSOptions >
void | draw (const PS &ps, const GSOptions &gso)
| opens a new window and draws a point set.
template<class PS >
void | draw (const PS &ps)
| A shortcut to `CGAL::draw(ps, Graphics_scene_options{})`.
template<class PS , class GSOptions >
void | add_to_graphics_scene (const PS &ps, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `ps` into the given graphic scene `gs`.
template<class PS >
void | add_to_graphics_scene (const PS &ps, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(ps, gs, Graphics_scene_options{})`.
template<class P , class V , class GSOptions >
void | add_to_graphics_scene (const Point_set_3< P, V > &apointset, Graphics_scene &graphics_scene, const GSOptions &gs_options)
template<class P , class V >
void | add_to_graphics_scene (const Point_set_3< P, V > &apointset, Graphics_scene &graphics_scene)
template<class P , class V , class GSOptions >
void | draw (const Point_set_3< P, V > &apointset, const GSOptions &gs_options, const char *title="Point_set_3 Basic Viewer")
template<class P , class V >
void | draw (const Point_set_3< P, V > &apointset, const char *title="Point_set_3 Basic Viewer")

## Function Documentation

## ◆ read_las_point_set()

template<typename Point , typename Vector >

bool CGAL::read_las_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

Parameters

  is | input stream.
  point_set | point set

## ◆ read_off_point_set()

template<typename Point , typename Vector >

bool CGAL::read_off_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

Parameters

  is | input stream.
  point_set | point set.

## ◆ read_ply_point_set() [1/2]

template<typename Point , typename Vector >

bool CGAL::read_ply_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

Parameters

  is | input stream.
  point_set | point set

## ◆ read_ply_point_set() [2/2]

template<typename Point , typename Vector >

bool CGAL::read_ply_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set,
|  | std::string & | comments
| ) |  |

Parameters

  is | input stream.
  point_set | point set
  comments | PLY comments.

## ◆ write_las_point_set()

template<typename Point , typename Vector >

bool CGAL::write_las_point_set | ( | std::ostream & | os,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

Parameters

  os | output stream.
  point_set | point set

## ◆ write_off_point_set()

template<typename Point , typename Vector >

bool CGAL::write_off_point_set | ( | std::ostream & | os,
|  | const CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

Parameters

  os | output stream.
  point_set | point set